// ............................................
// .           Sneaks Base Script             .
// .  Scripts for ut4_slsbase texture folder  .
// .            Urban Terror 4.1              .
// ............................................ !
//
// content
// slsladder script
// sdclouddusk7 script
// slsbluesky2 script
// slsbaselight script
// slsbaselozmesh script
// credit

textures/ut4_slsbase/sls_ladder
{
        qer_trans 0.40
	qer_editor_image textures/ut4_slsbase/sls_ladder.jpg 
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

textures/ut4_slsbase/sdclouddusk7
{
   qer_editorimage textures/ut4_slsbase/sdclouddusk7.tga	//name it .tga even if its not
   
   q3map_lightmapFilterRadius 0 8   
   q3map_lightsubdivide 386					//q3map_lightsubdivide 386
   q3map_backsplash 0 0

   q3map_sunExt 1 0.85 0.5 5 -32 56 3 12			//always sunExt; #r #g #b, #intensity[shadow brightness value], # # #angle, #samples
   q3map_skyLight 235 5						//q3map_skyLight 245 3  // #light brightness value, #shadow quality[smoothness]
   q3map_lightRGB 1 0.85 0.5
   q3map_noFog

   surfaceparm sky
   surfaceparm noimpact
   surfaceparm nolightmap
   surfaceparm nomarks
   surfaceparm nodlight

   skyparms env/ut4_slsbase/sdclouddusk7 512 -			//scrolling clouds must have this second value
   nopicmip
   nomipmaps
   {
      map textures/ut4_slsbase/sdclouddusk7.tga
      tcMod scale 1 1						//      tcMod scale 3 3
      tcMod scroll 0.001 0.0005	      				//tcMod scroll 0.00015 0.00025//tcMod scroll 0.01 0.0025
      rgbGen identityLighting
   }
   {
      clampmap textures/ut4_slsbase/slsmasksky7.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      tcMod scale 1 1   
      tcMod transform 1 0.5 0.5 1 1 1				//tcMod transform 1 0 0 1 -1 -1
      rgbGen identityLighting
   }
}

textures/ut4_slsbase/slsbluesky2
{
   qer_editorimage textures/ut4_slsbase/slsbluesky2.tga		//name it .tga even if its not
   
   q3map_lightmapFilterRadius 0 8   
// q3map_lightsubdivide 768
   q3map_backsplash 0 0

   Q3MAP_SUNeXT 1 .95 .85 10 100 45 3 8				//always sunExt
   q3map_skyLight 110 3						// second # value is iterations key
   q3map_noFog

   surfaceparm sky
   surfaceparm noimpact
   surfaceparm nolightmap
   surfaceparm nomarks
   surfaceparm nodlight

   skyparms env/ut4_slsbase/slsbluesky2 512 -			//scrolling clouds must have this second value
   nopicmip
   nomipmaps
   {
      map textures/ut4_slsbase/slsbluesky2.tga
      tcMod scale .5 .5						//      tcMod scale 1 1
      TCmOD SCROLL 0.005 0.005					//      tcMod scroll 0.0025 0.00025
      rgbGen identityLighting
   }
}

textures/ut4_slsbase/slsbaselight
{
	qer_editorimage textures/ut4_slsbase/slsbaselight.tga
	q3map_surfacelight 1
	{
		map textures/ut4_slsbase/slsbaselight.tga
	}
}

textures/ut4_slsbase/slsbaselozmesh
{
	qer_editor_image textures/ut4_slsbase/slsbaselozmesh.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map textures/ut4_slsbase/slsbaselozmesh.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

// credits
//
// ut4_slsbase slsladder script
// ladder script; copied Delirium from Urban Terror forum 01 November 2009
// http://forums.urbanterror.net/topic/16167-shader-questions-a-query-of-sorts/
//
// ut4_slsbase sdcloudsky7 script
// ut4_slsbase slsbluesky2 script
// thanks Ximun for showing me sky scripts
// thanks Delirium for teaching me how sky scripts work
// modifed by SneakS ;-?
//
// ut4_slsbase slsbaselight script
// nubcakes script 101 http://forums.urbanterror.net/topic/20283-misc-issues-solved/
// by SneakS
//
// ut4_slsbase slsbase_lozmesh script
// a script to allow alpha to vanish; script taken from Urban Terror forums 6th Febuary 2010 
// http://forums.urbanterror.net/topic/20212-plants-and-vegetation-gtkradiant/
// posted by guach
// punished by SneakS
//
// document all changes; all notes writen behind // are notes only and do not effect the script
// please give credit where credit is due
//
// Finally, thanks Snafu for showing me Urban Terror
//
// regards,
// Sneaks Like Saki
// Febuary 2010